org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.MergeDataResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.MergeDataResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.MergeDataResult
      extends java.lang.Object

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeDataResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranchPoint` | `getResultBase()`
    `java.util.Set<CDOID>` | `getSourceIDs()`
    `java.util.Set<CDOID>` | `getTargetIDs()`
    `void` | `setResultBase(CDOBranchPoint resultBase)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeDataResult

          public MergeDataResult()

  - ### Method Detail

    - #### getTargetIDs

          public java.util.Set<CDOID> getTargetIDs()

    - #### getSourceIDs

          public java.util.Set<CDOID> getSourceIDs()

    - #### getResultBase

          public CDOBranchPoint getResultBase()

    - #### setResultBase

          public void setResultBase(CDOBranchPoint resultBase)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html